

FUNCTION FXMOVE, UNIT, EXTEN, SILENT = Silent, EXT_NO = ext_no, ERRMSG=errmsg

     On_error, 2
     compile_opt idl2

         DO_NAME = SIZE( EXTEN,/TNAME) EQ 'STRING'
     PRINT_ERROR = ~ARG_PRESENT(ERRMSG)
         ERRMSG = ''
         IF DO_NAME THEN BEGIN 
                  FIRSTBLOCK = 0
              EXT_NO = 9999
              ENAME = STRTRIM( STRUPCASE(EXTEN), 2 )
              ON_IOERROR, ALLOW_PLUN
              POINT_LUN, -UNIT, DUM
              ON_IOERROR, NULL
         ENDIF ELSE BEGIN 
                  FIRSTBLOCK = 1
              EXT_NO = EXTEN
    ENDELSE                 
        
        FOR I = 1, EXT_NO DO BEGIN
               
;
;  Read the next header, and get the number of bytes taken up by the data.
; 

                IF EOF(UNIT) THEN BEGIN 
            IF DO_NAME THEN ERRMSG = $
    'Extension name ' + ename + ' not found in FITS file' ELSE ERRMSG = $       
    'EOF encountered while moving to specified extension'
            if PRINT_ERROR then message,errmsg  
        RETURN, -1
        ENDIF
           
                ; Can't use FXHREAD to read from pipe, since it uses
                ; POINT_LUN.  So we read this in ourselves using mrd_hread

                MRD_HREAD, UNIT, HEADER, STATUS, SILENT = Silent, $
            FIRSTBLOCK=FIRSTBLOCK, ERRMSG = ERRMSG
           
                IF STATUS LT 0 THEN BEGIN 
            IF PRINT_ERROR THEN MESSAGE,ERRMSG   ;Typo fix 04/10
            RETURN, -1
        ENDIF    
                        
                ; Get parameters that determine size of data
                ; region.
                IF DO_NAME THEN IF I GT 1 THEN BEGIN
               EXTNAME = STRTRIM(SXPAR(HEADER,'EXTNAME',COUNT=N_name),2)
             if N_NAME GT 0 THEN $
              IF ENAME EQ STRUPCASE(EXTNAME) THEN BEGIN
                    EXT_NO= I-1
                BLOCK = 1 + ((N_ELEMENTS(HEADER)-1)/36)
                POINT_LUN, -UNIT, CURR_POSS
                POINT_LUN, UNIT, CURR_POSS - BLOCK*2880 
                    BREAK
            ENDIF   
        ENDIF            
                BITPIX = FXPAR(HEADER,'BITPIX')
                NAXIS  = FXPAR(HEADER,'NAXIS')
                GCOUNT = FXPAR(HEADER,'GCOUNT') 
                IF GCOUNT EQ 0 THEN GCOUNT = 1
                PCOUNT = FXPAR(HEADER,'PCOUNT')
                
                IF NAXIS GT 0 THEN BEGIN 
                        DIMS = FXPAR(HEADER,'NAXIS*')           ;Read dimensions
            NDATA = PRODUCT(DIMS,/INTEGER) 
                ENDIF ELSE NDATA = 0
                
                NBYTES = LONG64(ABS(BITPIX) / 8) * GCOUNT * (PCOUNT + NDATA)
;
;  Move to the next extension header in the file.
;
                NREC = (NBYTES + 2879) / 2880
                MRD_SKIP, UNIT, NREC*2880L 

        ENDFOR
            
        RETURN, 0
ALLOW_PLUN:
        
        ERRMSG =  $
    'Extension name cannot be specified unless POINT_LUN access is available'
    if PRINT_ERROR then message,errmsg  
    RETURN, -1        
END

